import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import ProductName
from gso.products.product_types.router import Router
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_site_success(router_subscription_factory):
    imported_router = router_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_router", [{"subscription_id": imported_router}])
    subscription = Router.from_subscription(imported_router)

    assert_complete(result)
    assert subscription.product.name == ProductName.ROUTER
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync
